Index: LMDZ5/branches/testing/libf/phylmd/newmicro.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/newmicro.F	(revision 1707)
+++ LMDZ5/branches/testing/libf/phylmd/newmicro.F	(revision 1750)
@@ -633,48 +547,23 @@
             DO i = 1, klon
                DO k = 1, klev
-                  pqlwpcon(i,k)=rnebcon(i,k)*clwcon(i,k) ! fraction eau liquide convective
-                  pqlwpstra(i,k)=pclc(i,k)*phase3d(i,k)-pqlwpcon(i,k) ! fraction eau liquide stratiforme
-                  IF (pqlwpstra(i,k) .LE. 0.0) pqlwpstra(i,k)=0.0
+! Weight to be used for outputs: eau_liquide*couverture nuageuse
+                  lcc3dcon(i,k) =rnebcon(i,k)*phase3d(i,k)*clwcon(i,k)  ! eau liquide convective
+                  lcc3dstra(i,k)=pclc(i,k)*pqlwp(i,k)*phase3d(i,k)
+                  lcc3dstra(i,k)=lcc3dstra(i,k)-lcc3dcon(i,k)           ! eau liquide stratiforme
+                  lcc3dstra(i,k)=MAX(lcc3dstra(i,k),0.0)
+! Compute cloud droplet radius as above in meter
+                  radius=1.1*((pqlwp(i,k)*pplay(i,k)/(RD * T(i,k)))  
+     &               /(4./3*RPI*1000.*cdnc(i,k)) )**(1./3.)
+                  radius=MAX(radius, 5.e-6) 
 ! Convective Cloud Droplet Effective Radius (REFFCLWC) : variable 3D
-                  reffclwc(i,k)=1.1
-     &                 *((pqlwpcon(i,k)*pplay(i,k)/(RD * T(i,k)))
-     &                 /(4./3*RPI*1000.*cdnc(i,k)) )**(1./3.)
-                  reffclwc(i,k) = MAX(reffclwc(i,k) * 1e6, 5.)
-
+                  reffclwc(i,k)=radius
+                  reffclwc(i,k)=reffclwc(i,k)*lcc3dcon(i,k)
 ! Stratiform Cloud Droplet Effective Radius (REFFCLWS) : variable 3D
-                  IF ((pclc(i,k)-rnebcon(i,k)) .LE. seuil_neb) THEN ! tout sous la forme convective
-                     reffclws(i,k)=0.0
-                     lcc3dstra(i,k)= 0.0
-                  ELSE
-                     reffclws(i,k) = (pclc(i,k)*phase3d(i,k)*
-     &                               rad_chaud_tab(i,k)-
-     &                            pqlwpcon(i,k)*reffclwc(i,k))
-                     IF(reffclws(i,k) .LE. 0.0) reffclws(i,k)=0.0
-                     lcc3dstra(i,k)=pqlwpstra(i,k)
-                 ENDIF
-!Convertion from um to m
-                  IF(rnebcon(i,k). LE. seuil_neb) THEN
-                    reffclwc(i,k) = reffclwc(i,k)*seuil_neb*clwcon(i,k)
-     &                              *1.0E-06
-                    lcc3dcon(i,k)= seuil_neb*clwcon(i,k)
-                  ELSE
-                    reffclwc(i,k) = reffclwc(i,k)*pqlwpcon(i,k)
-     &                              *1.0E-06
-                    lcc3dcon(i,k) = pqlwpcon(i,k)
-                  ENDIF
-
-                  reffclws(i,k) = reffclws(i,k)*1.0E-06
-
+                  reffclws(i,k)=radius
+                  reffclws(i,k)=reffclws(i,k)*lcc3dstra(i,k)
                ENDDO !klev
             ENDDO !klon 
-
-!! Column Integrated Cloud Droplet Number (CLDNVI) : variable 2D
-            DO k = 1, klev
-               DO i = 1, klon
-                   pdel(i,k) = paprs(i,k)-paprs(i,k+1)
-                   zrho(i,k)=pplay(i,k)/t(i,k)/RD                  ! kg/m3
-                   dh(i,k)=pdel(i,k)/(gravit*zrho(i,k)) ! hauteur de chaque boite (m)
-               ENDDO
-            ENDDO
+c
+c Column Integrated Cloud Droplet Number (CLDNVI) : variable 2D
 c
             DO i = 1, klon
@@ -697,21 +586,20 @@
             DO i = 1, klon
                DO k = 1, klev
-                IF (scdnc(i,k) .LE. 0.0) scdnc(i,k)=0.0
-                IF (reffclws(i,k) .LE. 0.0) reffclws(i,k)=0.0
-                IF (reffclwc(i,k) .LE. 0.0) reffclwc(i,k)=0.0
-                IF (lcc3d(i,k) .LE. 0.0) lcc3d(i,k)=0.0
-                IF (lcc3dcon(i,k) .LE. 0.0) lcc3dcon(i,k)=0.0
+                IF (scdnc(i,k) .LE. 0.0)     scdnc(i,k)=0.0
+                IF (reffclws(i,k) .LE. 0.0)  reffclws(i,k)=0.0
+                IF (reffclwc(i,k) .LE. 0.0)  reffclwc(i,k)=0.0
+                IF (lcc3d(i,k) .LE. 0.0)     lcc3d(i,k)=0.0
+                IF (lcc3dcon(i,k) .LE. 0.0)  lcc3dcon(i,k)=0.0
                 IF (lcc3dstra(i,k) .LE. 0.0) lcc3dstra(i,k)=0.0
                ENDDO
-               IF (reffclwtop(i) .LE. 0.0) reffclwtop(i)=0.0
-               IF (cldncl(i) .LE. 0.0) cldncl(i)=0.0
-               IF (cldnvi(i) .LE. 0.0) cldnvi(i)=0.0
-               IF (lcc(i) .LE. 0.0) lcc(i)=0.0
+               IF (reffclwtop(i) .LE. 0.0)  reffclwtop(i)=0.0
+               IF (cldncl(i) .LE. 0.0)      cldncl(i)=0.0
+               IF (cldnvi(i) .LE. 0.0)      cldnvi(i)=0.0
+               IF (lcc(i) .LE. 0.0)         lcc(i)=0.0
             ENDDO
-
-         ENDIF !ok_aie
-      ENDIF !ok newmicro
-c
-C
+c
+      ENDIF !ok_cdnc
+c
       RETURN
+c
       END
Index: LMDZ5/branches/testing/libf/phylmd/orografi_strato.F
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/orografi_strato.F	(revision 1707)
+++ LMDZ5/branches/testing/libf/phylmd/orografi_strato.F	(revision 1750)
@@ -2004,9 +2004,9 @@
 
       DO 110 JK=1,NLEV
-      ZPM1R=pplay_glo(klon_glo/2,jk)/paprs_glo(klon_glo/2+1,1) 
+      ZPM1R=pplay_glo(klon_glo/2+1,jk)/paprs_glo(klon_glo/2+1,1) 
       IF(ZPM1R.GE.ZSIGT)THEN
          nktopg=JK
       ENDIF
-      ZPM1R=pplay_glo(klon_glo/2,jk)/paprs_glo(klon_glo/2+1,1) 
+      ZPM1R=pplay_glo(klon_glo/2+1,jk)/paprs_glo(klon_glo/2+1,1) 
       IF(ZPM1R.GE.ZTOP)THEN
          nstra=JK
Index: LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/phylmd/phys_local_var_mod.F90	(revision 1750)
@@ -24,4 +24,8 @@
       REAL, SAVE, ALLOCATABLE :: d_u_dyn(:,:), d_v_dyn(:,:)
       !$OMP THREADPRIVATE(d_u_dyn, d_v_dyn)
+!!!!
+      REAL, SAVE, ALLOCATABLE :: d_tr_dyn(:,:,:)
+      !$OMP THREADPRIVATE(d_tr_dyn)
+!!!!
       REAL, SAVE, ALLOCATABLE :: d_t_con(:,:),d_q_con(:,:)
       !$OMP THREADPRIVATE(d_t_con,d_q_con)
@@ -199,4 +203,5 @@
       allocate(d_t_dyn(klon,klev),d_q_dyn(klon,klev))
       allocate(d_u_dyn(klon,klev),d_v_dyn(klon,klev))
+      allocate(d_tr_dyn(klon,klev,nbtr))                   !RomP
       allocate(d_t_con(klon,klev),d_q_con(klon,klev))
       allocate(d_u_con(klon,klev),d_v_con(klon,klev))
@@ -287,4 +292,5 @@
       deallocate(d_t_dyn,d_q_dyn)
       deallocate(d_u_dyn,d_v_dyn)
+      deallocate(d_tr_dyn)                      !RomP
       deallocate(d_t_con,d_q_con)
       deallocate(d_u_con,d_v_con)
Index: LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/phylmd/phys_output_mod.F90	(revision 1750)
@@ -190,4 +190,9 @@
        ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'tsol_sic') /)
 
+  type(ctrl_out),save,dimension(4) :: o_evappot_srf  = (/ ctrl_out((/ 1, 6, 10, 10, 10, 10 /),'evappot_ter'), &
+       ctrl_out((/ 4, 6, 10, 10, 10, 10 /),'evappot_lic'), &
+       ctrl_out((/ 4, 6, 10, 10, 10, 10 /),'evappot_oce'), &
+       ctrl_out((/ 4, 6, 10, 10, 10, 10 /),'evappot_sic') /)
+
   type(ctrl_out),save,dimension(4) :: o_sens_srf     = (/ ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'sens_ter'), &
        ctrl_out((/ 1, 6, 10, 7, 10, 10 /),'sens_lic'), &
@@ -475,4 +480,5 @@
   type(ctrl_out),save :: o_rneb         = ctrl_out((/ 2, 5, 10, 10, 10, 10 /),'rneb')
   type(ctrl_out),save :: o_rnebcon      = ctrl_out((/ 2, 5, 10, 10, 10, 10 /),'rnebcon')
+  type(ctrl_out),save :: o_rnebls       = ctrl_out((/ 2, 5, 10, 10, 10, 10 /),'rnebls')
   type(ctrl_out),save :: o_rhum         = ctrl_out((/ 2, 5, 10, 10, 10, 10 /),'rhum')
   type(ctrl_out),save :: o_ozone        = ctrl_out((/ 2, 10, 10, 10, 10, 10 /),'ozone')
@@ -534,4 +540,6 @@
   type(ctrl_out),save :: o_wake_deltaq  = ctrl_out((/ 4, 5, 10, 10, 10, 10 /),'wake_deltaq')
   type(ctrl_out),save :: o_wake_omg     = ctrl_out((/ 4, 5, 10, 10, 10, 10 /),'wake_omg')
+  type(ctrl_out),save :: o_wdtrainA     = ctrl_out((/ 4, 1, 10,  4,  1, 10 /),'wdtrainA') !<<RomP
+  type(ctrl_out),save :: o_wdtrainM     = ctrl_out((/ 4, 1, 10,  4,  1, 10 /),'wdtrainM') !<<RomP
   type(ctrl_out),save :: o_Vprecip      = ctrl_out((/ 10, 10, 10, 10, 10, 10 /),'Vprecip')
   type(ctrl_out),save :: o_ftd          = ctrl_out((/ 4, 5, 10, 10, 10, 10 /),'ftd')
@@ -540,4 +548,5 @@
   type(ctrl_out),save :: o_dtlschr      = ctrl_out((/ 4, 10, 10, 10, 10, 10 /),'dtlschr')
   type(ctrl_out),save :: o_dqlsc        = ctrl_out((/ 4, 10, 10, 10, 10, 10 /),'dqlsc')
+  type(ctrl_out),save :: o_beta_prec    = ctrl_out((/ 4, 10, 10, 10, 10, 10 /),'beta_prec')
   type(ctrl_out),save :: o_dtvdf        = ctrl_out((/ 4, 10, 10, 10, 10, 10 /),'dtvdf')
   type(ctrl_out),save :: o_dqvdf        = ctrl_out((/ 4, 10, 10, 10, 10, 10 /),'dqvdf')
@@ -653,5 +662,5 @@
     USE infotrac
     USE ioipsl
-!    USE phys_cal_mod, only : hour
+    USE phys_cal_mod, only : hour
     USE mod_phys_lmdz_para
     USE aero_mod, only : naero_spc,name_aero
@@ -840,5 +849,11 @@
 
           idayref = day_ref
-          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)       
+!          CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)       
+! correction pour l heure initiale                               !jyg 
+!                                                                !jyg 
+          CALL ymds2ju(annee_ref, 1, idayref, hour, zjulian)         !jyg
+! correction pour l heure initiale                               !jyg 
+!                                                                !jyg 
+!!!      CALL ymds2ju(annee_ref, 1, idayref, 0.0, zjulian)       !jyg 
 ! correction pour l heure initiale                               !jyg 
 !                                                                !jyg 
@@ -1042,4 +1057,6 @@
                   o_tsol_srf(nsrf)%flag,o_tsol_srf(nsrf)%name,"Temperature "//clnsurf(nsrf),"K")
              CALL histdef2d(iff,clef_stations(iff), &
+                  o_evappot_srf(nsrf)%flag,o_evappot_srf(nsrf)%name,"Temperature"//clnsurf(nsrf),"K")
+             CALL histdef2d(iff,clef_stations(iff), &
                   o_ustar_srf(nsrf)%flag,o_ustar_srf(nsrf)%name,"Friction velocity "//clnsurf(nsrf),"m/s")
              CALL histdef2d(iff,clef_stations(iff), &
@@ -1455,4 +1472,6 @@
                o_rnebcon%flag,o_rnebcon%name, "Convective Cloud Fraction", "-")
           CALL histdef3d(iff,clef_stations(iff), &
+               o_rnebls%flag,o_rnebls%name, "LS Cloud fraction", "-")
+          CALL histdef3d(iff,clef_stations(iff), &
                o_rhum%flag,o_rhum%name, "Relative humidity", "-")
           CALL histdef3d(iff,clef_stations(iff), &
@@ -1560,8 +1579,14 @@
                 CALL histdef3d(iff,clef_stations(iff),o_wake_omg%flag,o_wake_omg%name, "wake_omg", " ")
              ENDIF
-             CALL histdef3d(iff,clef_stations(iff),o_Vprecip%flag,o_Vprecip%name, "precipitation vertical profile", "-")
+!!! RomP             CALL histdef3d(iff,clef_stations(iff),o_Vprecip%flag,o_Vprecip%name, "precipitation vertical profile", "-")
              CALL histdef3d(iff,clef_stations(iff),o_ftd%flag,o_ftd%name, "tend temp due aux descentes precip", "-")
              CALL histdef3d(iff,clef_stations(iff),o_fqd%flag,o_fqd%name,"tend vap eau due aux descentes precip", "-")
           ENDIF !(iflag_con.EQ.3)
+
+          IF(iflag_con.GE.3) THEN   !  RomP >>>
+            CALL histdef3d(iff,clef_stations(iff),o_wdtrainA%flag,o_wdtrainA%name, "precipitation from AA", "-")
+            CALL histdef3d(iff,clef_stations(iff),o_wdtrainM%flag,o_wdtrainM%name, "precipitation from mixture", "-")
+            CALL histdef3d(iff,clef_stations(iff),o_Vprecip%flag,o_Vprecip%name, "precipitation vertical profile", "-")
+          ENDIF !(iflag_con.GE.3)   ! <<< RomP
 
 !!! nrlmd le 10/04/2012
@@ -1590,4 +1615,5 @@
           CALL histdef3d(iff,clef_stations(iff),o_dtlschr%flag,o_dtlschr%name,"Large-scale condensational heating rate","K/s")
           CALL histdef3d(iff,clef_stations(iff),o_dqlsc%flag,o_dqlsc%name, "Condensation dQ", "(kg/kg)/s")
+          CALL histdef3d(iff,clef_stations(iff),o_beta_prec%flag,o_beta_prec%name, "LS Conversion rate to prec", "(kg/kg)/s")
           CALL histdef3d(iff,clef_stations(iff),o_dtvdf%flag,o_dtvdf%name, "Boundary-layer dT", "K/s")
           CALL histdef3d(iff,clef_stations(iff),o_dqvdf%flag,o_dqvdf%name, "Boundary-layer dQ", "(kg/kg)/s") 
Index: LMDZ5/branches/testing/libf/phylmd/phys_output_write.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_output_write.h	(revision 1707)
+++ LMDZ5/branches/testing/libf/phylmd/phys_output_write.h	(revision 1750)
@@ -443,4 +443,11 @@
         ENDIF
 
+        IF (o_evappot_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
+        zx_tmp_fi2d(1 : klon) = evap_pot( 1 : klon, nsrf)
+        CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $                   o_evappot_srf(nsrf)%name,itau_w,
+     $      zx_tmp_fi2d)
+        ENDIF
+
       IF (o_ustar_srf(nsrf)%flag(iff)<=lev_files(iff)) THEN
       zx_tmp_fi2d(1 : klon) = ustar(1 : klon, nsrf)
@@ -909,5 +916,21 @@
      $o_fqd%name,itau_w,fqd)
         ENDIF
-      ENDIF !(iflag_con.EQ.3) 
+
+      ELSEIF (iflag_con.EQ.30) THEN
+! sortie RomP convection descente insaturee iflag_con=30
+       IF (o_Vprecip%flag(iff)<=lev_files(iff)) THEN
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_Vprecip%name,itau_w,Vprecip)
+       ENDIF
+      IF (o_wdtrainA%flag(iff)<=lev_files(iff)) THEN
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_wdtrainA%name,itau_w,wdtrainA)
+      ENDIF
+      IF (o_wdtrainM%flag(iff)<=lev_files(iff)) THEN
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_wdtrainM%name,itau_w,wdtrainM)
+      ENDIF
+
+      ENDIF !(iflag_con.EQ.3.or.iflag_con.EQ.30)
  
 !!! nrlmd le 10/04/2012
@@ -1582,4 +1605,9 @@
        ENDIF
 
+       IF (o_rnebls%flag(iff)<=lev_files(iff)) THEN
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_rnebls%name,itau_w,rneb)
+       ENDIF
+
        IF (o_rhum%flag(iff)<=lev_files(iff)) THEN
       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
@@ -1776,4 +1804,10 @@
       CALL histwrite_phy(nid_files(iff),clef_stations(iff),
      $o_dqlsc%name,itau_w,zx_tmp_fi3d)
+       ENDIF
+
+       IF (o_beta_prec%flag(iff)<=lev_files(iff)) THEN
+      zx_tmp_fi3d(1:klon,1:klev)=beta_prec(1:klon,1:klev)
+      CALL histwrite_phy(nid_files(iff),clef_stations(iff),
+     $o_beta_prec%name,itau_w,zx_tmp_fi3d)
        ENDIF
 
Index: LMDZ5/branches/testing/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phys_state_var_mod.F90	(revision 1707)
+++ LMDZ5/branches/testing/libf/phylmd/phys_state_var_mod.F90	(revision 1750)
@@ -52,4 +52,8 @@
       REAL, ALLOCATABLE, SAVE :: u_ancien(:,:), v_ancien(:,:)
 !$OMP THREADPRIVATE(u_ancien, v_ancien)
+!!! RomP >>>
+      REAL, ALLOCATABLE, SAVE :: tr_ancien(:,:,:)
+!$OMP THREADPRIVATE(tr_ancien)
+!!! RomP <<<
       LOGICAL, SAVE :: ancien_ok
 !$OMP THREADPRIVATE(ancien_ok)
@@ -358,4 +362,5 @@
 USE control_mod
 use aero_mod
+use infotrac, ONLY : nbtr
 IMPLICIT NONE
 
@@ -384,4 +389,7 @@
       ALLOCATE(t_ancien(klon,klev), q_ancien(klon,klev))
       ALLOCATE(u_ancien(klon,klev), v_ancien(klon,klev))
+!!! Rom P >>>
+      ALLOCATE(tr_ancien(klon,klev,nbtr))
+!!! Rom P <<<
       ALLOCATE(clwcon(klon,klev),rnebcon(klon,klev))
       ALLOCATE(ratqs(klon,klev))
@@ -521,4 +529,5 @@
       deallocate(rugoro, t_ancien, q_ancien, clwcon, rnebcon)
       deallocate(        u_ancien, v_ancien                 )
+      deallocate(        tr_ancien)                           !RomP
       deallocate(ratqs, pbl_tke)
       deallocate(zmax0, f0)
